Subject: Re: bug#57386: 29.0.50; support make-symbolic-link without admin priviledge on Windows

From: Kiên Nguyễn Quang <[email-masked]>
Date: Thu, 25 Aug 2022 17:52:50 +0900

>
>
> That's a separate problem, which we will resolve if and when it
> becomes relevant.  For now, this problem doesn't exist, since AFAIK
> there are no features yet which we want to use that are available only
> in Windows 11 and later.  So please assume that version checks in
> Emacs are reliable, and always will be, no matter what MS says about
> that.
>
> Thanks.
>

The new flag is available starting from Windows 10 Creator update, which
means two (or 3? I don't know) updates after the first Windows 10 release.
Since the version returned for all Windows 10 are the same, you see, that's
the problem.

I think the error is already caught and should be replaced with the new one
if we retry calling the API, can you elaborate more on how it can still
affect Emacs?
Is there somewhere Emacs is calling GetLastError without invoking the API
so the stored error is mistakenly used?

Thanks